<?php

namespace App\Models;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class Process extends Eloquent {

	protected $table = 'processes';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];
	protected $fillable = array('serial', 'name_ar', 'name_en', 'version_date', 'status', 'notes');

	public function steps()
	{
		return $this->hasMany('App\Models\ProcessStep');
	}

	public function executions()
	{
		return $this->hasMany('App\Models\ProcessExecution');
	}

}